GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Enumerations | Functions
json_reader.h File Reference
`#include <grpc/support/port_platform.h>`
`#include "src/core/json/json_common.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_json_reader_vtable
struct | grpc_json_reader

## Typedefs
typedef struct grpc_json_reader_vtable | grpc_json_reader_vtable
typedef struct grpc_json_reader | grpc_json_reader

## Enumerations
enum | grpc_json_reader_state { GRPC_JSON_STATE_OBJECT_KEY_BEGIN, GRPC_JSON_STATE_OBJECT_KEY_STRING, GRPC_JSON_STATE_OBJECT_KEY_END, GRPC_JSON_STATE_VALUE_BEGIN, GRPC_JSON_STATE_VALUE_STRING, GRPC_JSON_STATE_STRING_ESCAPE, GRPC_JSON_STATE_STRING_ESCAPE_U1, GRPC_JSON_STATE_STRING_ESCAPE_U2, GRPC_JSON_STATE_STRING_ESCAPE_U3, GRPC_JSON_STATE_STRING_ESCAPE_U4, GRPC_JSON_STATE_VALUE_NUMBER, GRPC_JSON_STATE_VALUE_NUMBER_WITH_DECIMAL, GRPC_JSON_STATE_VALUE_NUMBER_ZERO, GRPC_JSON_STATE_VALUE_NUMBER_DOT, GRPC_JSON_STATE_VALUE_NUMBER_E, GRPC_JSON_STATE_VALUE_NUMBER_EPM, GRPC_JSON_STATE_VALUE_TRUE_R, GRPC_JSON_STATE_VALUE_TRUE_U, GRPC_JSON_STATE_VALUE_TRUE_E, GRPC_JSON_STATE_VALUE_FALSE_A, GRPC_JSON_STATE_VALUE_FALSE_L, GRPC_JSON_STATE_VALUE_FALSE_S, GRPC_JSON_STATE_VALUE_FALSE_E, GRPC_JSON_STATE_VALUE_NULL_U, GRPC_JSON_STATE_VALUE_NULL_L1, GRPC_JSON_STATE_VALUE_NULL_L2, GRPC_JSON_STATE_VALUE_END, GRPC_JSON_STATE_END }
enum | { GRPC_JSON_READ_CHAR_EOF = 0x7ffffff0, GRPC_JSON_READ_CHAR_EAGAIN, GRPC_JSON_READ_CHAR_ERROR }
enum | grpc_json_reader_status { GRPC_JSON_DONE, GRPC_JSON_EAGAIN, GRPC_JSON_READ_ERROR, GRPC_JSON_PARSE_ERROR, GRPC_JSON_INTERNAL_ERROR }

## Functions
grpc_json_reader_status | grpc_json_reader_run (grpc_json_reader *reader)
void | grpc_json_reader_init (grpc_json_reader *reader, grpc_json_reader_vtable *vtable, void *userdata)
int | grpc_json_reader_is_complete (grpc_json_reader *reader)

## Typedef Documentation

typedef struct grpc_json_reader grpc_json_reader

typedef struct grpc_json_reader_vtable grpc_json_reader_vtable

## Enumeration Type Documentation

anonymous enum

Enumerator
GRPC_JSON_READ_CHAR_EOF |
GRPC_JSON_READ_CHAR_EAGAIN |
GRPC_JSON_READ_CHAR_ERROR |

enum grpc_json_reader_state

Enumerator
GRPC_JSON_STATE_OBJECT_KEY_BEGIN |
GRPC_JSON_STATE_OBJECT_KEY_STRING |
GRPC_JSON_STATE_OBJECT_KEY_END |
GRPC_JSON_STATE_VALUE_BEGIN |
GRPC_JSON_STATE_VALUE_STRING |
GRPC_JSON_STATE_STRING_ESCAPE |
GRPC_JSON_STATE_STRING_ESCAPE_U1 |
GRPC_JSON_STATE_STRING_ESCAPE_U2 |
GRPC_JSON_STATE_STRING_ESCAPE_U3 |
GRPC_JSON_STATE_STRING_ESCAPE_U4 |
GRPC_JSON_STATE_VALUE_NUMBER |
GRPC_JSON_STATE_VALUE_NUMBER_WITH_DECIMAL |
GRPC_JSON_STATE_VALUE_NUMBER_ZERO |
GRPC_JSON_STATE_VALUE_NUMBER_DOT |
GRPC_JSON_STATE_VALUE_NUMBER_E |
GRPC_JSON_STATE_VALUE_NUMBER_EPM |
GRPC_JSON_STATE_VALUE_TRUE_R |
GRPC_JSON_STATE_VALUE_TRUE_U |
GRPC_JSON_STATE_VALUE_TRUE_E |
GRPC_JSON_STATE_VALUE_FALSE_A |
GRPC_JSON_STATE_VALUE_FALSE_L |
GRPC_JSON_STATE_VALUE_FALSE_S |
GRPC_JSON_STATE_VALUE_FALSE_E |
GRPC_JSON_STATE_VALUE_NULL_U |
GRPC_JSON_STATE_VALUE_NULL_L1 |
GRPC_JSON_STATE_VALUE_NULL_L2 |
GRPC_JSON_STATE_VALUE_END |
GRPC_JSON_STATE_END |

enum grpc_json_reader_status

Enumerator
GRPC_JSON_DONE |
GRPC_JSON_EAGAIN |
GRPC_JSON_READ_ERROR |
GRPC_JSON_PARSE_ERROR |
GRPC_JSON_INTERNAL_ERROR |

## Function Documentation

void grpc_json_reader_init | ( | grpc_json_reader * | reader,
|  | grpc_json_reader_vtable * | vtable,
|  | void * | userdata
| ) |  |

int grpc_json_reader_is_complete | ( | grpc_json_reader * | reader | ) |

grpc_json_reader_status grpc_json_reader_run | ( | grpc_json_reader * | reader | ) |